@using Microsoft.Extensions.Localization

@inject IStringLocalizer<App> _localizer

<Router AppAssembly="@typeof(Program).Assembly" PreferExactMatches="@true">
    <Found Context="routeData">
        <RouteView RouteData="@routeData" DefaultLayout="@typeof(MainLayout)"/>
    </Found>
    <NotFound>
        <LayoutView Layout="@typeof(MainLayout)">
            <article class="message is-danger">
                <div class="message-header">
                    <p>@_localizer["Сторінку не знайдено!"]</p>
                </div>
            </article>
        </LayoutView>
    </NotFound>
</Router>